package anonvpn.anon_next.android.service.persistence;

import android.content.SharedPreferences;

import anonvpn.anon_next.android.BuildConfig;
import anonvpn.anon_next.core.persistence.IConfig;
import anonvpn.anon_next.core.persistence.IPersistenceFactory;

/**
 * Created by martin on 5/22/17.
 */

public class AndroidPersistenceFactory implements IPersistenceFactory
	{

		private final SharedPreferences mPreferences;
		private final IConfig mConfig;

		public AndroidPersistenceFactory(SharedPreferences prefs)
			{
				mPreferences = prefs;
				mConfig = new AndroidConfig(mPreferences);

				//tweak InfoService
				if (BuildConfig.DEBUG)
					{
					//	mConfig.setString("PrimaryInfoService.Host", "141.76.46.165");
				//		mConfig.setInt("PrimaryInfoService.Port", 6543);
						mConfig.setString("PrimaryInfoService.Host", "141.76.46.139");
						mConfig.setInt("PrimaryInfoService.Port", 80);
					}
				else
					{
						mConfig.setString("PrimaryInfoService.Host", "141.76.46.139");
						mConfig.setInt("PrimaryInfoService.Port", 80);
					}
			}

		@Override
		public IConfig getConfiguration()
			{
				return mConfig;
			}
	}
